/*yenntth Write your custom css in this file.*/
html, body {
  font-family: "Plus Jakarta Sans", sans-serif !important;
  font-size: 14px;
  background-color: #F5F5F5 !important;
  font-weight: 500;
  font-feature-settings: "calt" 0, "liga" 0;
  -webkit-font-feature-settings: "calt" 0, "liga" 0;
  font-variant-ligatures: none;
  font-variant-numeric: normal;
}
.table-responsive {
  overflow-x: auto !important;
}
#left-menu-toggle-mask {
  background-color: #F5F5F5 !important;
}
a {
  color:#222;
}
.dataTable tbody tr {
  color:#222;
}
table.dataTable {
  background: #eee;
}
.sidebar-scroll, #timeline .post-content .post-date span, .bg-primary {
  background-color: #006633; 
  background-image: linear-gradient(green, #006633);
  }
  .sidebar-menu li a {
    color: rgba(255, 255, 255, 0.9);
    font-weight: 600;

  }
  .sidebar-menu li a:active, .sidebar-menu li a:hover, .sidebar-menu li a:focus {
    color: #FFF !important;
    background-color: rgba(255, 255, 255, 0.1);
  }
  .sidebar-menu li ul li a {
    color: rgba(255, 255, 255, 0.9);
    padding: 0.5rem 1.7rem;
  }
  .sidebar-menu li ul li a:hover {
    color: #FFF;
    background-color: rgba(255, 255, 255, 0.1);
  }
  .sidebar-menu li.active > a {
    color: #FFF !important;
    background-color: rgba(255, 255, 255, 0.2);
  }
  .sidebar-toggled .sidebar-menu li:hover {
    background-color:#006633 !important;
  }
  .nav-tabs li a:hover, .nav-tabs li a:focus, .nav-tabs li a:active {
    color: #298c29 !important;
  }
  .nav-tabs li .active, .nav-tabs li.active {
    color: #298c29 !important;
    border-color: #298c29 !important;
  }
  .nav-tabs li:not(.title-tab):after {
    background-color: #298c29 !important;
  }
  .list-group-item.active {
   
    border-color: #298c29 !important;
  }
  .list-group-item.active:focus, .list-group-item.active:hover {
    background: #298c29 !important;
    border-color: #298c29 !important;
  }
  .btn-primary {
    background-color: #298c29 !important;
    border-color: #298c29 !important;
  }
  .btn-primary:hover, .btn-primary:active, .btn-primary:focus , .btn-default:hover {
    background-color: #298c29 !important;
    border-color:#298c29 !important;
    color: #FFF !important;
  }
  .bg-success {
    background-color:#298c29 !important;
  }
  
  a:hover, a:focus, a:active {
    color: #689b31;
  }
  .circle-done {
    color: #298c29 !important;
  }
  .app-alert.alert-success {
    background-color: #298c29;
    color: #fff;
  }
  .bg-dark-success {
    background: #689b31;
  }
  .dataTable tbody tr.active td, .dataTable tbody tr.active:hover td {
    background: #298c29 !important;
  }
  td.dropdown-option button:hover {
    background: #298c29 !important;
    border-color: #298c29 !important;
  }
  .select2-results .select2-highlighted {
    background-color: #298c29 !important;
  }
  .datepicker table tr td.active.active {
    background: #298c29 !important;
    border-color: #298c29 !important;
  }
  .datepicker table tr td.active.active:hover {
    background: #298c29 !important;
    border-color: #298c29 !important;
  }
  .datepicker table tr td span.active.active, .datepicker table tr td span.active:hover.active {
    background: #298c29 !important;
    border-color: #298c29 !important;
  }
  .datepicker table tr td span.active.disabled.active, .datepicker table tr td span.active.disabled:hover.active {
    background: #298c29 !important;
    border-color: #298c29 !important;
  }
  .datepicker table tr td span.active.active:hover {
    background: #298c29 !important;
    border-color: #298c29 !important;
  }
  .atwho-view .cur, .note-hint-group .active, .note-hint-item:hover {
    background-color: #1b3828 !important;
  }
  .sidebar-scroll::-webkit-scrollbar-thumb {
    background: rgba(117, 174, 55, 0.4);
  }
  .sidebar-scroll::-webkit-scrollbar-thumb:hover {
    background: rgba(117, 174, 55, 0.6);
  }
  .sidebar-scroll::-webkit-scrollbar-thumb:active {
    background: rgba(117, 174, 55, 0.6);
  }
  @media (min-width: 991px) {
    .sidebar {
      background: linear-gradient(135deg, var(--primary-background-color) 5%, var(--surface-color) 100%);
    }
  }
  

.sidebar-brand {
    padding: 5px;
   
}


.brand-logo img {
    max-height: 55px !important;
}
.modal-body {
 padding: 1rem;
}
.form-check-input:checked {
  background-color: #298c29 !important;
  border-color: #298c29 !important;
}

.login-card {
  min-height: 100vh;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  background-color: #fff !important
}

.login-card  .card {
  padding: 20px;
  border-radius: 10px;
  -webkit-box-shadow: 0 0 37px rgba(8, 21, 66, 0.05);
  box-shadow: 0 0 37px rgba(8, 21, 66, 0.05);
  margin: 0 auto;
  border: none !important;
 
}
.loginLogo {
  width: 60% !important;
}
.login-card h4 {
  margin-bottom: 10px;
  font-size: 22px;
  font-weight: 600;
}

.login-card  p {
  margin-bottom: 20px;
  color: #898989;
}

.table_commodity_list tr:nth-child(2) td:nth-child(4){
  display: none;
}
.bg-info {
  background-color: #298c29 !important;
}
.bg-coral {
  background-color: #cc0000;
}
.btn-danger {
  background: #cc0000;
  border-color: #cc0000;
}
.btn-info , .btn-success{
  background: #298c29;
  border: 1px solid #298c29;
}

.btn-info {

    --bs-btn-bg: #298c29;
    --bs-btn-border-color: #298c29;
    --bs-btn-hover-color: #000;
    --bs-btn-hover-bg: #1b3828;
    --bs-btn-hover-border-color: #298c29;
    --bs-btn-focus-shadow-rgb: 11, 172, 204;
    --bs-btn-active-color: #000;
    --bs-btn-active-bg: #1b3828;
    --bs-btn-active-border-color: #298c29;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #000;
    --bs-btn-disabled-bg: #1b3828;
    --bs-btn-disabled-border-color: #1b3828;
}
.btn-info:hover, .btn-info:active, .btn-info:focus {
  background: #1b3828;
  border: 1px solid #1b3828;
}
.item-rate-badge {
  background-color: #298c29;
}
.btn-check:focus+.btn, .btn:focus {
  box-shadow: none;
}
.language-dropdown {
  height: auto;
}
.footer {
  position: fixed;
  bottom: 0px;
  border-top: 1px solid #eef6f9 !important;
  width: 100%;
}

.nav-tabs.title li a {
  font-weight: 700;
}
td.dropdown-option button:hover, td.option a:hover, .external-tickets-embedded-code:hover, .action-option:hover, .copy-file-link:hover {
  background: #298c29;
  color: #fff;
  border: 1px solid #298c29;
}
td.option a.delete:hover {
  background: #cc0000;
  color: #fff;
  border: 1px solid #cc0000;
}
 
.page-title h1 , .nav .title-tab h4, .nav-tabs li a{
  font-weight: 700;
}
.text-default {
  color:#222 !important;
}
.dashboard-icon-widget .card-body {
  padding: 35px;
  border-bottom: 3px solid #298c29;
}
.btn-outline-light, .btn-default {

  background-color: #fff;
  border: 1px solid #298c29;
  color:#298c29 !important;
}

.btn-group-vertical>.btn, .btn-group>.btn, .input-daterange .btn-default, .js-reports-link, .js-reports-link:hover{
  background: #fff !important;
  border: 1px solid #F6F8F9 !important;
  color:#555 !important;
}
.dropdown-item , .general-form .form-control{
  color: #222;
}

.general-form.white .form-group .row > label , .card-header {
  color:#222;
}
#item-table_wrapper .skusts a {
color: #298c29;
}

table.dataTable.dtr-inline.collapsed>tbody>tr>td.dtr-control, table.dataTable.dtr-inline.collapsed>tbody>tr>th.dtr-control {
  padding-left: 30px !important;
}
table.dataTable tbody th, table.dataTable tbody td {
  padding: 12px 5px !important;
}
.datatable-tools {
  position: fixed;
  width: -webkit-fill-available;
  bottom: 0px;
  background: #fff;
  border: 1px solid #f2f2f2;
  width: -moz-available;
  max-width: 100%;

}
.datatable-tools:last-child{
  margin: -10px -15px !important;
  padding: 5px !important;
}
.text-wrap-title-sts {
  text-overflow: unset;
  overflow: hidden;
  white-space: normal;
  height: 65px;
  font-size: 14px !important;
}
.Box, .Box span {
  border-top: 5px solid #298c29  !important;
}
.table {
  color: #222 !important;
}
.select2-container .select2-choice, .select2-container .select2-choices, .select2-container .select2-choices .select2-search-field input {
  border-color:#eee !important;
  color:#444 !important;
  background: #fff !important;
}

.col-onhand {
  text-align: right;
}
.text-center {
  text-align: center;
}
.page-reports h1 {
  color: #298c29;
  border-bottom: 2px solid #298c29;
}
.dt-print-view .dataTable{
  margin:auto !important;
}
.dataTables_filter input {
  width: 160px !important;
}
.filter-section-container {
  padding: 10px 0px !important;
}

.page-title .float-end {
  margin-top: 15px;
}
.dashboard-image  {
  max-height: 55px !important;
}


@media (min-width: 991px) {
  .sidebar-toggled .sidebar-menu li ul li a:hover{
      color: #fff !important;
  }
  .sidebar-toggled .sidebar-menu li ul li a {
    color: #333 !important;
    margin: 0;
    padding: 10px 20px; 
  }
}


@media (max-width: 991px) {
  /* .col-onhand {
    text-align: left;
  } */
  /* table.dataTable>tbody>tr.child ul.dtr-details>li {
    display: flex;
  } */
  .hidemobile, .page-reports .column-show-hide-popover {
    display:none;
  }
  .brand-logo img {
    max-height: 45px !important;
}
}

.z-0 {
  z-index: 0;
}
.z-1 {
  z-index: 1;
}
.z-2 {
  z-index: 2;
}
.z-3 {
  z-index: 3;
}
.z-4 {
  z-index: 4;
}
.z-5 {
  z-index: 5;
}
#proposal-total-section {
  width: 52%;
}

.edit-image-file {
  background-size: contain;
}

.proposal-preview table {
  margin-top: 0;
}

.select2-create-new {
  display: inline-block;
  width: 100%;
  min-height: 26px;
  margin: 0;
  padding: 4px 4px 0 4px;
  position: relative;
  z-index: 10000;
  white-space: nowrap;
}

.select2-create-new label.error {
  box-shadow: none;
  color: #ec5855;
  display: block;
  margin-top: 5px;
  margin-bottom: 10px;
}

.select2-create-new span{
  position: relative;
  top: 10px;
  fill: #298c29;
  cursor: pointer;
}

.select2-create-new span svg {
  width: 20px;
  height: 20px;
}

.select2-create-new input{
  color: #555;
  font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
  width: 100%;
  height: 31px;
  min-height: 26px;
  padding: 4px 20px 4px 5px;
  margin: 0;
  outline: 0;
  font-family: sans-serif;
  font-size: 1em;
  border: 1px solid #e2e7f1;
  -webkit-box-shadow: none;
  box-shadow: none;
}

.nav-tabs li .is-parent, .nav-tabs li.is-parent {
  color: #298c29;
  font-weight: bold;
  border: none;
  background: transparent;
  border-bottom: 2px solid #298c29;
  border-radius: 0;
  cursor: pointer;
}

.nt-title p:first-of-type{
  margin-top: 5px;
}
.nt-title p{
  font-size: 14px;
  margin-bottom: 0;
}

.red-error {
  color: #ec5855;
}

label.error {
  color: #ec5855;
}

.general-form .has-error select.form-control {
  color: #4e5e6a;
}

.edit-image-file {
  position: relative; 
}

.edit-image-file .delete-saved-file {
  position: absolute;
  top: 0;
  right:0;
  left: unset;
  margin: 0;
}

.dropzone-upload {
  width: 80px;
  height: 80px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.dropzone-upload-content{
  height: 100%;
  width: 100%;
  padding: 15px 0px;
  text-align: center;
}

.dropzone-upload .upload-icon .icon {
  width: 23px;
  height: 23px;
  display: inline-block;
}

.dropzone-upload .upload-text {
  font-size: 12px;
}

.dropzone-upload:hover .upload-icon .icon svg {
  fill: #fff;
}

.fancybox__container {
  z-index: 2025;
}

::-webkit-scrollbar {
  height: 3px;
  width: 3px; 
}

::-webkit-scrollbar-track {
  height: 3px;
  width: 3px; 
}

::-webkit-scrollbar-thumb {
  height: 3px;
  width: 3px; 
}

::-webkit-scrollbar-thumb:hover {
  height: 3px;
  width: 3px; 
}

/* flatpickr */
.flatpickr-monthSelect-month.today {
  background: transparent !important;
  border-color: transparent !important;
}

.flatpickr-day.today {
  color: #000;
  background-color: #ffdb99;
  border-color: #ffb733;
}

.flatpickr-day.selected {
  color: #fff;
  background: #298c29 !important;
  border-color: #298c29 !important;
}

.flatpickr-months .flatpickr-prev-month:hover svg, 
.flatpickr-months .flatpickr-next-month:hover svg {
  fill: #298c29;
}

.flatpickr-calendar .dayContainer {
  width: 220px;
  min-width: 220px;
  max-width: 220px;
  padding-bottom: 10px;
}

.flatpickr-rContainer {
  width: 220px;
}

.flatpickr-calendar {
  width: 220px;
}

.flatpickr-rContainer:has(.flatpickr-monthSelect-months) {
  width: 300px;
}

.flatpickr-calendar:has(.flatpickr-monthSelect-months) {
  width: 300px;
}

.flatpickr-months .flatpickr-prev-month, .flatpickr-months .flatpickr-next-month {
  padding: 8px 5px;
}

.flatpickr-current-month .flatpickr-monthDropdown-months {
  text-align: center;
  font-weight: bold;
  color: rgba(33, 37, 41,1);
}

.flatpickr-current-month input.cur-year {
  font-weight: bold;
  color: rgba(33, 37, 41,1);
}

span.flatpickr-weekday {
  font-weight: bold;
  color: rgba(33, 37, 41,1);
}

.flatpickr-current-month {
  font-size: 14px;
  font-weight: bold;
  padding-top: 10px;
  width: 78%;
  left: 10.5%;
}

.flatpickr-day {
  text-align: center;
  width: 30px;
  height: 30px;
  line-height: 30px;
  border-radius: 4px;
  border: none;
  max-width: 30px;
}

.flatpickr-monthSelect-month.selected {
  background-color: #298c29 !important;
  border-color: #298c29 !important;
}



.flatpickr-monthSelect-month.today:hover {
  background: #e6e6e6 !important;
  border-color: transparent !important;
  color: #393939 !important;
}

/* SELECT TREE DROPDOWN */
.select-tree-dropdown {
  position: relative;
  display: inline-block;
  vertical-align: middle;
  margin: 0;
}

.select-tree-dropdown .form-control {
    border-radius: 0;
    border-color: #eee;
}



.select-tree-dropdown .jstree {
  position: fixed;
  width: auto;
  min-width:200px;
  background: #fff;
  border: .5px solid rgba(0,0,0,.1);
  padding: 10px;
  width: max-content;
  display: none;
  z-index: 9999;
  overflow-y: auto;
  max-height: 400px;
  border-radius: 0 0 2px 2px;
    border-color: #E5E5E5;
    box-shadow: 0 4px 5px rgba(0, 0, 0, .15);
}
.select-tree-dropdown .select-tree-dropdown__preview .text{
  color: #444;
  font-weight: 500;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  display: block;
  margin-right: 15px;
  height: 100%;
}

.select-tree-dropdown .select-tree-dropdown__preview .arrow {
    display: inline-block;
    width: 18px;
    height: 100%;
    position: absolute;
    right: 0;
    top: 3px;
    border-radius: 0 4px 4px 0;
    background-clip: padding-box;
    border-left: none;
    background: 0 0;
}
.select-tree-dropdown .select-tree-dropdown__preview b{
  background-position: 0 3px;
  display: block;
  width: 100%;
  height: 100%;
  background: url(../images/select2.png) no-repeat 0 1px;
}

.select-tree-dropdown .select-tree-dropdown__preview b.open {
  background-position: -18px 3px;
}

.select-tree-dropdown .select-tree-dropdown__btn-apply {
  float: right;
  padding: 0px 5px;
  font-size: 14px;
}

body.open-jstree .main-scrollable-page {
  height: auto !important;
}

button, input, optgroup, select, textarea {
  font-feature-settings: "calt" 0, "liga" 0;
  -webkit-font-feature-settings: "calt" 0, "liga" 0;
  font-variant-ligatures: none;
  font-variant-numeric: normal;
}


.sidebar-scroll {
background: linear-gradient(135deg, var(--primary-background-color) 5%, var(--surface-color) 100%);
}

.sidebar-menu li a, .sidebar-menu li ul li a {
  color: var(--secondary-text-color); 
  font-weight: 500;
}
.sidebar-menu li.active > a,
.sidebar-menu li a:active, .sidebar-menu li a:hover, .sidebar-menu li a:focus,
.sidebar-menu li ul li a:hover {
  color: #fff !important;
  background-color: var(--primary-color);
}